// Code generated by running "go generate" in golang.org/x/text. DO NOT EDIT.

package translations

import (
	"golang.org/x/text/language"
	"golang.org/x/text/message"
	"golang.org/x/text/message/catalog"
)

type dictionary struct {
	index []uint32
	data  string
}

func (d *dictionary) Lookup(key string) (data string, ok bool) {
	p, ok := messageKeyToIndex[key]
	if !ok {
		return "", false
	}
	start, end := d.index[p], d.index[p+1]
	if start == end {
		return "", false
	}
	return d.data[start:end], true
}

func init() {
	dict := map[string]catalog.Dictionary{
		"de": &dictionary{index: deIndex, data: deData},
		"en": &dictionary{index: enIndex, data: enData},
	}
	fallback := language.MustParse("en")
	cat, err := catalog.NewFromMap(dict, catalog.Fallback(fallback))
	if err != nil {
		panic(err)
	}
	message.DefaultCatalog = cat
}

var messageKeyToIndex = map[string]int{
	"\tbackend: %v":  11,
	"\texport: %s":   0,
	"\timport: %s\n": 1,
	"%v: %v":         48,
	"Aborted":        8,
	"Access token":   19,
	"Access token received, you can use %v now.\n": 34,
	"Append to file": 21,
	"Backend":        42,
	"Check for duplicate listens on import (slower)": 24,
	"Client ID":     15,
	"Client secret": 16,
	"Delete the service configuration \"%v\"?": 7,
	"Directory path": 29,
	"Disable auto correction of submitted listens":           26,
	"Error: OAuth state mismatch":                            33,
	"Failed reading config: %v":                              2,
	"File path":                                              20,
	"From timestamp: %v (%v)":                                44,
	"Ignore listens in incognito mode":                       30,
	"Ignore skipped listens":                                 27,
	"Ignored duplicate listen %v: \"%v\" by %v (%v)":         25,
	"Import failed, last reported timestamp was %v (%s)":     45,
	"Import log:":                                            47,
	"Imported %v of %v %s into %v.":                          46,
	"Latest timestamp: %v (%v)":                              50,
	"Minimum playback duration for skipped tracks (seconds)": 31,
	"No":                                39,
	"Playlist title":                    22,
	"Saved service %v using backend %v": 5,
	"Server URL":                        17,
	"Service":                           41,
	"Service \"%v\" deleted\n":          9,
	"Service name":                      3,
	"Specify a time zone for the listen timestamps":             28,
	"The backend %v requires authentication. Authenticate now?": 6,
	"Token received, you can close this window now.":            12,
	"Transferring %s from %s to %s…":                            43,
	"Unique playlist identifier":                                23,
	"Updated service %v using backend %v\n":                     10,
	"User name":                                                 18,
	"Visit the URL for authorization: %v":                       32,
	"Yes":                                                       38,
	"a service with this name already exists":                   4,
	"backend %s does not implement %s":                          13,
	"done":                                                      37,
	"exporting":                                                 35,
	"importing":                                                 36,
	"invalid timestamp string \"%v\"":                           49,
	"key must only consist of A-Za-z0-9_-":                      52,
	"no configuration file defined, cannot write config":        51,
	"no existing service configurations":                        40,
	"no service configuration \"%v\"":                           53,
	"unknown backend \"%s\"":                                    14,
}

var deIndex = []uint32{ // 55 elements
	// Entry 0 - 1F
	0x00000000, 0x00000013, 0x00000027, 0x00000052,
	0x0000005e, 0x0000008d, 0x000000bd, 0x00000104,
	0x00000133, 0x0000013f, 0x00000162, 0x00000198,
	0x000001ac, 0x000001e7, 0x00000213, 0x00000233,
	0x0000023d, 0x0000024b, 0x00000256, 0x00000263,
	0x00000271, 0x0000027b, 0x0000028e, 0x000002a1,
	0x000002b8, 0x000002ed, 0x00000328, 0x0000035c,
	0x0000037e, 0x000003a4, 0x000003b4, 0x000003da,
	// Entry 20 - 3F
	0x00000418, 0x00000443, 0x0000046d, 0x000004ad,
	0x000004b8, 0x000004c3, 0x000004ca, 0x000004cd,
	0x000004d2, 0x000004fb, 0x00000503, 0x0000050b,
	0x00000534, 0x00000552, 0x0000058f, 0x000005ba,
	0x000005c5, 0x000005d2, 0x000005f6, 0x00000619,
	0x0000066a, 0x000006a1, 0x000006c8,
} // Size: 244 bytes

const deData string = "" + // Size: 1736 bytes
	"\x04\x01\x09\x00\x0e\x02Export: %[1]s\x04\x01\x09\x01\x0a\x0e\x02Import:" +
	" %[1]s\x02Fehler beim Lesen der Konfiguration: %[1]v\x02Servicename\x02e" +
	"in Service mit diesem Namen existiert bereits\x02Service %[1]v mit dem B" +
	"ackend %[2]v gespeichert\x02Das Backend %[1]v erfordert Authentifizierun" +
	"g. Jetzt authentifizieren?\x02Die Servicekonfiguration „%[1]v“ löschen?" +
	"\x02Abgebrochen\x04\x00\x01\x0a\x1e\x02Service „%[1]v“ gelöscht\x04\x00" +
	"\x01\x0a1\x02Service %[1]v mit dem Backend %[2]v aktualisiert\x04\x01" +
	"\x09\x00\x0f\x02Backend: %[1]v\x02Token erhalten, das Fenster kann jetzt" +
	" geschlossen werden.\x02das Backend %[1]s implementiert %[2]s nicht\x02u" +
	"nbekanntes Backend „%[1]s“\x02Client-ID\x02Client-Secret\x02Server-URL" +
	"\x02Benutzername\x02Zugriffstoken\x02Dateipfad\x02An Datei anhängen\x02T" +
	"itel der Playlist\x02Eindeutige Playlist-ID\x02Beim Import auf Listen-Du" +
	"plikate prüfen (langsamer)\x02Listen-Duplikat ignoriert %[1]v: \x22%[2]v" +
	"\x22 von %[3]v (%[4]v)\x02Autokorrektur für übermittelte Titel deaktivie" +
	"ren\x02Übersprungene Listens ignorieren\x02Zeitzone für den Abspiel-Zeit" +
	"stempel\x02Verzeichnispfad\x02Listens im Inkognito-Modus ignorieren\x02M" +
	"inimale Wiedergabedauer für übersprungene Titel (Sekunden)\x02Zur Anmeld" +
	"ung folgende URL aufrufen: %[1]v\x02Fehler: OAuth-State stimmt nicht übe" +
	"rein\x04\x00\x01\x0a;\x02Zugriffstoken erhalten, %[1]v kann jetzt verwen" +
	"det werden.\x02exportiere\x02importiere\x02fertig\x02Ja\x02Nein\x02keine" +
	" bestehenden Servicekonfigurationen\x02Service\x02Backend\x02Übertrage %" +
	"[1]s von %[2]s nach %[3]s…\x02Ab Zeitstempel: %[1]v (%[2]v)\x02Import fe" +
	"hlgeschlagen, letzter Zeitstempel war %[1]v (%[2]s)\x02%[1]v von %[2]v %" +
	"[3]s in %[4]v importiert.\x02Importlog:\x02%[1]v: %[2]v\x02ungültiger Ze" +
	"itstempel „%[1]v“\x02Letzter Zeitstempel: %[1]v (%[2]v)\x02keine Konfigu" +
	"rationsdatei definiert, Konfiguration kann nicht geschrieben werden\x02S" +
	"chlüssel darf nur die Zeichen A-Za-z0-9_- beinhalten\x02keine Servicekon" +
	"figuration „%[1]v“"

var enIndex = []uint32{ // 55 elements
	// Entry 0 - 1F
	0x00000000, 0x00000013, 0x00000027, 0x00000044,
	0x00000051, 0x00000079, 0x000000a1, 0x000000de,
	0x00000108, 0x00000110, 0x0000012d, 0x0000015c,
	0x00000170, 0x0000019f, 0x000001c6, 0x000001de,
	0x000001e8, 0x000001f6, 0x00000201, 0x0000020b,
	0x00000218, 0x00000222, 0x00000231, 0x00000240,
	0x0000025b, 0x0000028a, 0x000002c3, 0x000002f0,
	0x00000307, 0x00000335, 0x00000344, 0x00000365,
	// Entry 20 - 3F
	0x0000039c, 0x000003c3, 0x000003df, 0x00000412,
	0x0000041c, 0x00000426, 0x0000042b, 0x0000042f,
	0x00000432, 0x00000455, 0x0000045d, 0x00000465,
	0x0000048f, 0x000004ad, 0x000004e6, 0x00000510,
	0x0000051c, 0x00000529, 0x0000054a, 0x0000056a,
	0x0000059d, 0x000005c2, 0x000005e3,
} // Size: 244 bytes

const enData string = "" + // Size: 1507 bytes
	"\x04\x01\x09\x00\x0e\x02export: %[1]s\x04\x01\x09\x01\x0a\x0e\x02import:" +
	" %[1]s\x02Failed reading config: %[1]v\x02Service name\x02a service with" +
	" this name already exists\x02Saved service %[1]v using backend %[2]v\x02" +
	"The backend %[1]v requires authentication. Authenticate now?\x02Delete t" +
	"he service configuration \x22%[1]v\x22?\x02Aborted\x04\x00\x01\x0a\x18" +
	"\x02Service \x22%[1]v\x22 deleted\x04\x00\x01\x0a*\x02Updated service %[" +
	"1]v using backend %[2]v\x04\x01\x09\x00\x0f\x02backend: %[1]v\x02Token r" +
	"eceived, you can close this window now.\x02backend %[1]s does not implem" +
	"ent %[2]s\x02unknown backend \x22%[1]s\x22\x02Client ID\x02Client secret" +
	"\x02Server URL\x02User name\x02Access token\x02File path\x02Append to fi" +
	"le\x02Playlist title\x02Unique playlist identifier\x02Check for duplicat" +
	"e listens on import (slower)\x02Ignored duplicate listen %[1]v: \x22%[2]" +
	"v\x22 by %[3]v (%[4]v)\x02Disable auto correction of submitted listens" +
	"\x02Ignore skipped listens\x02Specify a time zone for the listen timesta" +
	"mps\x02Directory path\x02Ignore listens in incognito mode\x02Minimum pla" +
	"yback duration for skipped tracks (seconds)\x02Visit the URL for authori" +
	"zation: %[1]v\x02Error: OAuth state mismatch\x04\x00\x01\x0a.\x02Access " +
	"token received, you can use %[1]v now.\x02exporting\x02importing\x02done" +
	"\x02Yes\x02No\x02no existing service configurations\x02Service\x02Backen" +
	"d\x02Transferring %[1]s from %[2]s to %[3]s…\x02From timestamp: %[1]v (%" +
	"[2]v)\x02Import failed, last reported timestamp was %[1]v (%[2]s)\x02Imp" +
	"orted %[1]v of %[2]v %[3]s into %[4]v.\x02Import log:\x02%[1]v: %[2]v" +
	"\x02invalid timestamp string \x22%[1]v\x22\x02Latest timestamp: %[1]v (%" +
	"[2]v)\x02no configuration file defined, cannot write config\x02key must " +
	"only consist of A-Za-z0-9_-\x02no service configuration \x22%[1]v\x22"

	// Total table size 3731 bytes (3KiB); checksum: F7951710
